Create a new task
Adds a new task to a contract. Use it to record new work; to change a task that already exists, use PATCH /tasks/{task_id}, and for a one-off payment that is not a task, use POST /contracts/{contract_id}/off-cycle-payments instead.
Token scopes: contracts:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
The unique Deel contract ID associated with the task.
Request
This endpoint expects an object.
data
Response
The task was successfully created.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error